package com.bocloud.cmp.provider.nsx;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.nsx.NsxEdgeClusterModel;

/**
 * nsx edge集群
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月26日
 */
public interface EdgeClusterProvider extends SuperProvider {
    BocloudResult list();

    BocloudResult create(NsxEdgeClusterModel model);

    BocloudResult remove(String groupId);

    BocloudResult detail(String groupId);

    BocloudResult update(NsxEdgeClusterModel model);
}
